Ticket #35243

JTalk の英単語の読み付与の改善

Open Date: 2015-06-16 21:28 Last Update: 2015-08-20 13:08

Reporter: nishimoto Owner: nishimoto
Type: Bugs Status: Closed
Component: 音声合成 MileStone: 2015.3jp (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

JTalk の英単語の読み付与にいろいろおかしいところがありますが、 最近あまり改善に取り組む余裕がありませんでした。

例えば All rights reserved の rights を「リグ エイチティーエス」と読んでいます。

right は「ライト」と読んでいます。

まずは s や ed がつく派生語の辞書をもうすこし丁寧に整備するべきと思います。

Attachment File List

No attachments

Ticket History (3/4 Histories)

2015-06-16 21:28 Updated by: nishimoto
  • New Ticket "JTalk の英単語の読み付与の改善" created
2015-06-21 21:16 Updated by: nishimoto
  • Milestone Update from (None) to 2015.3jp (closed)
  • Resolution Update from None to Fixed
Comment

下記のあたりの一連の作業で、NVDA インストーラーの最初の GNU GPL v2 の英文を だいたいカタカナで読み下せるようになった:

https://github.com/nvdajp/nvdajpmiscdep/commit/ee0440994828f4a624b98e75ba96306c6724dcdc

中略

https://github.com/nvdajp/nvdajpmiscdep/commit/da03e39903708dc378bda3487eda6260f19e8eb7

基本的には s, ed, er などの派生語を規則で処理しつつ、規則で対応できない単語や未知語は地道に登録。

he, be, it などを「へー」「ベー」「アイティー」などと読んでいた問題にも対応。

未対応の作業は a 「ア」「エイ」や the 「ザ」「ジ」のような文脈依存の読み方。

2015-07-03 12:21 Updated by: nishimoto
Comment

この作業の影響かどうかわからないが、 m001 でアルファベット C が「チ」に聞こえる。 mei と lite はちゃんと「シー」に聞こえる。

2015-08-20 13:08 Updated by: nishimoto
  • Ticket Close date is changed to 2015-08-20 13:08
  • Status Update from Open to Closed

Edit

Please login to add comment to this ticket » Login